Public declaration syntax from forge-rs/crates/forge-agent402/src/client.rs Original source SHA-256: a58f88f7890f51c2e30c69f96930625a431aadab5344e92614b7dfbd2b33a51d Function bodies and constant values are omitted. This is not the complete implementation. Source line 41 #[derive(Zeroize, ZeroizeOnDrop)] pub struct AgentConfig { /// Ed25519 secret key (32 bytes). The agent's identity key. pub secret_key: [u8; 32] } Source line 61 pub struct Agent { } Source line 100 #[derive(Debug)] pub struct FetchResponse { /// HTTP status code. pub status: u16, /// Agent's DID as assigned by the server. pub did: Option, /// Trust tier assigned by the server. pub trust_tier: Option, /// Response body bytes. pub body: Vec } Source line 129 pub fn new(config: AgentConfig) -> Self; Source line 142 pub fn public_key_bytes(&self) -> [u8; 32]; Source line 147 pub fn public_key_hex(&self) -> String; Source line 157 pub async fn fetch( &self, url: &str, body: Option<&[u8]>, ) -> Result;